<?php
// This client for local_getcontexts is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//

/**
 * XMLRPC client for Moodle 2 - local_getcontexts
 *
 * This script does not depend of any Moodle code,
 * and it can be called from a browser.
 *
 * @author Jerome Mouneyrac modified by Francois Jacquet
 */

/// MOODLE ADMINISTRATION SETUP STEPS
// 1- Install the plugin
// 2- Enable web service advance feature (Admin > Advanced features)
// 3- Enable XMLRPC protocol (Admin > Plugins > Web services > Manage protocols)
// 4- Create a token for a specific user (Admin > Plugins > Web services > Manage tokens)
// 5- Run this script directly from your browser: you should see 'Hello, FIRSTNAME'

/// SETUP - NEED TO BE CHANGED
$token = 'eb22a759ac0816d97fda019ccf237ccb';
$domainname = 'http://localhost/moodle';

/// FUNCTION NAME
$functionname = 'local_getcontexts_get_contexts';

/// PARAMETERS
/*
[contexts] =>
    Array 
        (
        [0] =>
            Array 
                (
                [contextlevel] => int                
                [instance] => int                
                )
        )
*/
$contexts = array(
				array(
					'contextlevel' => 30, //CONTEXT_USER
					'instance' => 2, //admin
				)
		  );

///// XML-RPC CALL
header('Content-Type: text/plain');
$serverurl = $domainname . '/webservice/xmlrpc/server.php'. '?wstoken=' . $token;
require_once('./curl.php');
$curl = new curl;
$post = xmlrpc_encode_request($functionname, array($contexts));
$resp = xmlrpc_decode($curl->post($serverurl, $post));
print_r($resp);
